Subject: Re: [PATCH 2/3] net/scm: cleanup scm_detach_fds

From: Christoph Hellwig <[email-masked]>
Date: Wed, 13 May 2020 12:10:37 +0200

On Wed, May 13, 2020 at 12:58:11PM +0300, Ido Schimmel wrote:
> On Wed, May 13, 2020 at 11:49:08AM +0200, Christoph Hellwig wrote:
> > On Wed, May 13, 2020 at 12:29:18PM +0300, Ido Schimmel wrote:
> > > On Mon, May 11, 2020 at 01:59:12PM +0200, Christoph Hellwig wrote:
> > > > Factor out two helpes to keep the code tidy.
> > > > 
> > > > Signed-off-by: Christoph Hellwig <[email-masked]>
> > > 
> > > Christoph,
> > > 
> > > After installing net-next (fb9f2e92864f) on a Fedora 32 machine I cannot
> > > ssh to it. Bisected it to this commit [1].
> > > 
> > > When trying to connect I see these error messages in journal:
> > > 
> > > sshd[1029]: error: mm_receive_fd: no message header
> > > sshd[1029]: fatal: mm_pty_allocate: receive fds failed
> > > sshd[1029]: fatal: mm_request_receive_expect: buffer error: incomplete message
> > > sshd[1018]: fatal: mm_request_receive: read: Connection reset by peer
> > > 
> > > Please let me know if more info is required. I can easily test a patch
> > > if you need me to try something.
> > 
> > To start we can try reverting just this commit, which requires a
> > little manual work.  Patch below:
> 
> Thanks for the quick reply. With the below patch ssh is working again.

Ok.  I'll see what went wrong for real and will hopefully have a
different patch for you in a bit.